IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MEDWEB_TETKIKSONUCUCIKANLAR]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION  [dbo].[MEDWEB_TETKIKSONUCUCIKANLAR]
GO
CREATE FUNCTION [dbo].[MEDWEB_TETKIKSONUCUCIKANLAR]()
RETURNS @BekleyenTetkikSayisi TABLE 
(
	TETKIK nvarchar(200),
	TCKIMLIKNO nvarchar(50),
	KIMLIKID nvarchar(50),
	TETKIKKARTID int,	
	SUBEID int,
	SUBEADI nvarchar(200),
	ISIM nvarchar(150),
	CEPTEL nvarchar(50),	
	SONUCTARIHI datetime,
	HASTANINBEKLEYENTETKIKSAYISI int
)
AS
BEGIN
	INSERT INTO @BekleyenTetkikSayisi
		  SELECT		  
		  TITEM.ITEMADI AS TETKIK,
		  HKIMLIK.HTCKIMLIKNO,
		  HKIMLIK.HKIMLIKID,
		  HTETKIK.HTETKIKKARTID,
  		  HDOSYA.SUBEID,
		  (
			 SELECT SUBEADI
			 FROM SUBELER
			 WHERE SUBEID = HDOSYA.SUBEID
		  ) AS SUBEADI,
		  HKIMLIK.HADI+' '+HKIMLIK.HSOYADI AS ISIM,
		  ISNULL(HKIMLIK.HCEP, ISNULL(HKIMLIK.HCEP2, ISNULL(HKIMLIK.HTEL, ''))) AS CEPTEL,
     	  HTETKIK.ONAYZAMANI AS SONUCTARIHI,
		  (SELECT COUNT(*) FROM HTETKIK HT JOIN HESAPISL HS ON HS.HESAPISLID = HT.HESAPISLID WHERE HT.DURUM IN (0,1) AND HS.HDOSYAID = HDOSYA.HDOSYAID AND HT.HTETKIKKARTID=HTETKIK.HTETKIKKARTID AND (HS.IPTAL = 0) AND (HS.ONAYLI = 1) AND (ISNULL(HS.TEKLIF, 0) = 0)) AS BEKLEYENTETKIKSAYISI	 
		  FROM HTETKIK 
		  JOIN HESAPISL ON HESAPISL.HESAPISLID=HTETKIK.HESAPISLID
		  JOIN HDOSYA ON HDOSYA.HDOSYAID=HESAPISL.HDOSYAID
		  JOIN HKIMLIK ON HKIMLIK.HKIMLIKID = HDOSYA.HKIMLIKID
		  JOIN TITEM ON TITEM.ITEMID = HESAPISL.ITEMID
		  WHERE (HESAPISL.IPTAL = 0) AND (HESAPISL.ONAYLI = 1) AND (ISNULL(HESAPISL.TEKLIF, 0) = 0)
		  AND HTETKIK.ONAYZAMANI> DATEADD(DAY,-2,GETDATE()) AND HTETKIK.DURUM=2
    RETURN
END


	


		  

